"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class ThirdStageOfLabour(object):
    """
    Third stage - to establish if type of third stage impacts on the
    quantity of cord blood available for whole genome sequencing.
    `physiological` - A physiological or natural third stage means
    waiting for the placenta to be delivered naturally with delay. A
    clamp is placed on the umbilical cord until it has stopped
    pulsating to allow oxygenated blood to pulse from the placenta to
    the baby. `active` - This can refer too:     1) giving oxytocin
    IM/IV to help contract the uterus.     2) clamping the cord early
    (usually before, alongside, or immediately after giving oxytocin
    IM/IV.     3) traction is applied to the cord with counter
    pressure on the uterus to deliver the placenta.
    `removal_at_caesarean_section` - birth occured through caesarean
    section.
    """

    PHYSIOLOGICAL = "PHYSIOLOGICAL"
    ACTIVE = "ACTIVE"
    REMOVAL_AT_CAESAREAN_SECTION = "REMOVAL_AT_CAESAREAN_SECTION"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.5.0"
